SDL_PowerState(3type)

NAME
SDL_PowerState - The basic state for the system's power supply.

HEADER FILE
Defined in SDL3/SDL_power.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_PowerState
{
    SDL_POWERSTATE_ERROR = -1,   /**< error determining power status */
    SDL_POWERSTATE_UNKNOWN,      /**< cannot determine power status */
    SDL_POWERSTATE_ON_BATTERY,   /**< Not plugged in, running on the battery */
    SDL_POWERSTATE_NO_BATTERY,   /**< Plugged in, no battery available */
    SDL_POWERSTATE_CHARGING,     /**< Plugged in, charging battery */
    SDL_POWERSTATE_CHARGED       /**< Plugged in, battery charged */
} SDL_PowerState;

DESCRIPTION
These are results returned by SDL_GetPowerInfo ().

AVAILABILITY
This enum is available since SDL 3.0.0